function Vx = matvecV(prob, x, par)
    w = x(1:prob.n);
    Qw = prob.Q.Qmap(w);
    sigUQw = par.sigma * (par.Pb .* Qw);
    Vx1 = (1 + par.tausig)*w + sigUQw;
    if prob.existA
        y = x(1+prob.n:end);
        Aty = prob.At * y;
        sigUAty = par.sigma * (par.Pb .* Aty);
        Vx1 = Vx1 - sigUAty;
        Vx2 = prob.A * (sigUAty-sigUQw) + par.tausig * y;
    else 
        Vx2 = [];
    end
    Vx = [Vx1; Vx2];
end