%%-------------------------------------------------------------
%% projection on the box [L,U]
%%-------------------------------------------------------------

function [PX,PK] = projBox(X,L,U)
tiny = 1e-14;
PX = X;
if ~isempty(L)
    PX = max(X,L+tiny);
end
if ~isempty(U)
    PX = min(PX,U-tiny);
end
if nargout == 2
    PK = abs(PX - X) < 1e-16;
end
%%-------------------------------------------------------------

